Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 664568 (lxqt-0.13.0-stable) - LXQt 0.13.0 stabilisation
Summary: LXQt 0.13.0 stabilisation
Status: RESOLVED FIXED
Alias: lxqt-0.13.0-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LxQt maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 666278
Blocks: 661548 661862 661896 qt-5.11.1-stable
  Show dependency tree
 
Reported: 2018-08-25 12:02 UTC by Andreas Sturmlechner
Modified: 2018-10-17 12:32 UTC (History)
0 users

See Also:
Package list:
dev-libs/libqtxdg-3.2.0 dev-util/lxqt-build-tools-0.5.0 lxqt-base/liblxqt-0.13.0 lxqt-base/libsysstat-0.4.1 lxqt-base/lxqt-about-0.13.0 lxqt-base/lxqt-admin-0.13.0 lxqt-base/lxqt-config-0.13.0 lxqt-base/lxqt-globalkeys-0.13.0 lxqt-base/lxqt-l10n-0.13.0 lxqt-base/lxqt-meta-0.13.0 lxqt-base/lxqt-notificationd-0.13.0 lxqt-base/lxqt-openssh-askpass-0.13.0 lxqt-base/lxqt-panel-0.13.0 lxqt-base/lxqt-policykit-0.13.0 lxqt-base/lxqt-powermanagement-0.13.0 lxqt-base/lxqt-qtplugin-0.13.0 lxqt-base/lxqt-runner-0.13.0 lxqt-base/lxqt-session-0.13.0 lxqt-base/lxqt-sudo-0.13.0 media-gfx/lximage-qt-0.7.0 media-sound/pavucontrol-qt-0.4.0 x11-libs/libfm-qt-0.13.1-r1 x11-misc/obconf-qt-0.13.0 x11-misc/pcmanfm-qt-0.13.0-r1 x11-misc/qps-1.10.18 x11-themes/lxqt-themes-0.13.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-08-25 12:02:26 UTC
This will be necessary in advance of Qt 5.11 stabilisation as we know that current LXQt 0.11.0 will be broken.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-10-13 14:33:58 UTC
I'd like to kick off Qt stabilisation this weekend if possible.
Comment 2 Chiitoo gentoo-dev 2018-10-16 00:36:39 UTC
Apologies for the wait!

Adding packages, hopefully not forgetting any.

While 'x11-libs/libfm-qt' and 'x11-misc/pcmanfm-qt' have fixes in their r1 versions, that would be nice to get in, they're not 30 days old yet so I guess they'll need to wait.

The issues shouldn't, hopefully, hold back from getting these stable.
Comment 3 Andreas Sturmlechner gentoo-dev 2018-10-16 09:45:00 UTC
(In reply to Chiitoo from comment #2)
> While 'x11-libs/libfm-qt' and 'x11-misc/pcmanfm-qt' have fixes in their r1
> versions, that would be nice to get in, they're not 30 days old yet so I
> guess they'll need to wait.

Looked at the changes and decided they do not necessitate the wait. Especially if we can shield users from bugs already fixed.

Arches, please stabilise.
Comment 4 Stabilization helper bot gentoo-dev 2018-10-16 10:07:42 UTC
An automated check of this bug failed - repoman reported dependency errors (73 lines truncated): 

> dependency.bad lxqt-base/lxqt-meta/lxqt-meta-0.13.0.ebuild: RDEPEND: x86(default/linux/x86/17.0) ['x11-misc/qps:0']
> dependency.bad lxqt-base/lxqt-meta/lxqt-meta-0.13.0.ebuild: RDEPEND: x86(default/linux/x86/17.0/desktop) ['x11-misc/qps:0']
> dependency.bad lxqt-base/lxqt-meta/lxqt-meta-0.13.0.ebuild: RDEPEND: x86(default/linux/x86/17.0/desktop/gnome) ['x11-misc/qps:0']
> dependency.bad lxqt-base/lxqt-panel/lxqt-panel-0.13.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['media-sound/pavucontrol-qt']
> dependency.bad lxqt-base/lxqt-panel/lxqt-panel-0.13.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['media-sound/pavucontrol-qt']
> dependency.bad lxqt-base/lxqt-panel/lxqt-panel-0.13.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['media-sound/pavucontrol-qt']
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-10-16 13:08:47 UTC
amd64 stable
Comment 6 Thomas Deutschmann gentoo-dev Security 2018-10-17 12:32:01 UTC
x86 stable, closing